org.apache.tomcat.jni

## Class Mmap

- java.lang.Object
- - org.apache.tomcat.jni.Mmap

-     public class Mmap
      extends Object

  Mmap
  Author:
    Mladen Turk

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APR_MMAP_READ` MMap opened for reading
    `static int` | `APR_MMAP_WRITE` MMap opened for writing

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mmap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `create(long file, long offset, long size, int flag, long pool)` Create a new mmap'ed file out of an existing APR file.
    `static int` | `delete(long mm)` Remove a mmap'ed.
    `static long` | `dup(long mmap, long pool)` Duplicate the specified MMAP.
    `static long` | `offset(long mm, long offset)` Move the pointer into the mmap'ed file to the specified offset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APR_MMAP_READ

          public static final int APR_MMAP_READ

      MMap opened for reading
      See Also:
        Constant Field Values

    - #### APR_MMAP_WRITE

          public static final int APR_MMAP_WRITE

      MMap opened for writing
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Mmap

          public Mmap()

  - ### Method Detail

    - #### create

          public static long create(long file,
                    long offset,
                    long size,
                    int flag,
                    long pool)
                             throws Error

      Create a new mmap'ed file out of an existing APR file.
      Parameters:
        `file` - The file turn into an mmap.
        `offset` - The offset into the file to start the data pointer at.
        `size` - The size of the file
        `flag` - bit-wise or of:

             APR_MMAP_READ       MMap opened for reading
             APR_MMAP_WRITE      MMap opened for writing

        `pool` - The pool to use when creating the mmap.
      Returns:
        The newly created mmap'ed file.
      Throws:
        `Error` - Error creating memory mapping

    - #### dup

          public static long dup(long mmap,
                 long pool)
                          throws Error

      Duplicate the specified MMAP.
      Parameters:
        `mmap` - The mmap to duplicate.
        `pool` - The pool to use for new_mmap.
      Returns:
        Duplicated mmap'ed file.
      Throws:
        `Error` - Error duplicating memory mapping

    - #### delete

          public static int delete(long mm)

      Remove a mmap'ed.
      Parameters:
        `mm` - The mmap'ed file.
      Returns:
        the operation status

    - #### offset

          public static long offset(long mm,
                    long offset)
                             throws Error

      Move the pointer into the mmap'ed file to the specified offset.
      Parameters:
        `mm` - The mmap'ed file.
        `offset` - The offset to move to.
      Returns:
        The pointer to the offset specified.
      Throws:
        `Error` - Error reading file

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.